Package org.linphone.core

# Interface AccountCreatorListener

All Known Implementing Classes:
  `AccountCreatorListenerStub`

public interface AccountCreatorListener
An object to handle the responses callbacks for handling the `AccountCreator`
operations.

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onSendToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
`void`
`onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.

## Method Details

### onCreateAccount

@Deprecated void onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the create account request.

### onIsAccountExist

@Deprecated void onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the is account exist request.

### onActivateAccount

@Deprecated void onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the activate account request.

### onSendToken

@Deprecated void onSendToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the activate account request.

### onAccountCreationRequestToken

@Deprecated void onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the callback on account creation request token.
In response:
-"token" is the request token to used with `AccountCreator.requestAccountCreationTokenUsingRequestToken()`
.
-"validation_url" is a URL to redirect the user into a browser for validation.
In status:
-LinphoneAccountCreatorStatusRequestOk: the request token should be in response
with the validation url.

### onAccountCreationTokenUsingRequestToken

@Deprecated void onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the callback on account creation token.
In response, "token" is the token to pass to `AccountCreator.setToken(java.lang.String)`.
It is used for `AccountCreator.createAccount()`
In status:
-LinphoneAccountCreatorStatusRequestOk: token can be retrieved from the "token"
field in response.
-LinphoneAccountCreatorStatusRequestFailed: request token has not been
validated. Recall `AccountCreator.requestAccountCreationTokenUsingRequestToken()`
after some time.
-LinphoneAccountCreatorStatusMissingArguments: request_token has not been set
from `AccountCreator.setToken(java.lang.String)`.
-LinphoneAccountCreatorStatusServerError: URL is not reachable.

### onIsAccountActivated

@Deprecated void onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the is account activated request.

### onLinkAccount

@Deprecated void onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the link account request.

### onActivateAlias

@Deprecated void onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the activate alias request.

### onIsAliasUsed

@Deprecated void onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the is alias used request.

### onIsAccountLinked

@Deprecated void onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the is account linked request.

### onRecoverAccount

@Deprecated void onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the recover account request.

### onUpdateAccount

@Deprecated void onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the update account request.

### onLoginLinphoneAccount

@Deprecated void onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
Get the login linphone account request.